---
title: End User Device Monitoring
description: Inspect devices reported by the Datadog Agent on end-user laptops, desktops, and mobile devices, including their health, hardware, and connectivity…
breadcrumbs: Docs > API > End User Device Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# End User Device Monitoring

Inspect devices reported by the Datadog Agent on end-user laptops, desktops,
and mobile devices, including their health, hardware, and connectivity attributes.

## [Get all devices](https://docs.datadoghq.com/api/latest/end-user-device-monitoring/get-all-devices.md) (preview)

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/eudm/devices     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/eudm/devices |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/eudm/devices |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/eudm/devices      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/eudm/devices |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/eudm/devices |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/eudm/devices |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/eudm/devices      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/eudm/devices  |

## [Get a device](https://docs.datadoghq.com/api/latest/end-user-device-monitoring/get-a-device.md) (preview)

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/eudm/devices/{device_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/eudm/devices/{device_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/eudm/devices/{device_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/eudm/devices/{device_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/eudm/devices/{device_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/eudm/devices/{device_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/eudm/devices/{device_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/eudm/devices/{device_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/eudm/devices/{device_id}  |
